<?php
/*
<!--  	APPLICATION ATELIERPHP-FORMULAIRE - VERSION 1.3		-->
<!--  	SITE : WWW.ATELIERPHP.NET				-->
<!--  	CONTACT : APPLICATIONS (arobase) ATELIERPHP (point) NET	-->
<!--  	MERCI DE NE PAS SUPPRIMER CETTE MENTION			-->
*/
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="lang" content="fr" />
<meta name="Author" content="" />
<meta name="keywords" content="" />
<meta name="description" content="" />
<meta name="rating" content="General" />
<meta name="ROBOTS" content="ALL" />
<meta name="revisit-after" content="30 days" />
<title>Atelier PHP - Application : Formulaire</title>
<link rel="stylesheet" href="atelierphp_feuille.css" type="text/css" />
</head>

<body>
<h1>Atelier PHP - Application : Formulaire</h1>

<?php

// inclusion de la classe qui sera utilisé pour la vérification des données du formulaire
include("atelierphp_classe_verif_informations.php");

// création de l'object objValidation par instanciation de la classe classFormValidation()
$objValidation = new classFormValidation();

// vérication de chaque donnée récupérée grâce aux méthodes définies dans la classe classFormValidation()
// On passe en argument les noms des champs du formulaire qui permettront d'accéder aux données en écrivant : $_POST['nom_champ'] dans les méthodes de la classe
// les variables flag serviront à afficher les champs non conformes en rouge.

$flag_societe = $objValidation->est_valide_inf_50("societe");

$flag_titre = $objValidation->pas_vide("titre");

$flag_nom1 = $objValidation->est_valide_non_nul("nom");
$flag_nom2 = $objValidation->est_valide_inf_50("nom");
(($flag_nom1==true) and ($flag_nom2=true))?($flag_nom=true):($flag_nom=false);

$flag_adr1 = $objValidation->est_valide_non_nul("adresse");
$flag_adr2 = $objValidation->est_valide_inf_50("adresse");
(($flag_adr1==true) and ($flag_adr2=true))?($flag_adr=true):($flag_adr=false);

$flag_cp = $objValidation->iscode_postal("code_postal");

$flag_ville1 = $objValidation->est_valide_non_nul("ville");
$flag_ville2 = $objValidation->est_valide_inf_50("ville");
(($flag_ville1==true) and ($flag_ville2=true))?($flag_ville=true):($flag_ville=false);

$flag_email = $objValidation->is_email("email");

$flag_tel = $objValidation->est_telephone("telephone"); 

$flag_comm = $objValidation->est_valide_inf_500("commentaire");

$flag_categorie = false;


// Cas où le formulaire n'est pas correctement rempli par l'utilisateur
// test si la méthode isError() renvoit true
if($objValidation->isError())
{
	// on récupère le tableau qui contient toutes les erreurs grâce à la propriété _liste_des_erreurs de l'objet objValidation
	$errors = $objValidation->_liste_des_erreurs;
	echo "L'opération n'a pas pu être effectuée : ";
	echo "<ul>";
	foreach ($errors as $e)   
	{
		echo "<li> La valeur du champ <b>" .'"'. 
		$e['field']."</b>".'"'." que vous avez saisi (".
		$e['value'].") n'est pas valide :".$e['msg']."<p>";            
		($e['field'] == "code_postal")?$flag_code_postal = true : print "";
	}
	echo "</ul>";
	echo "<div>";
	// Pour permettre à l'utilisateur de corriger ou de compléter on rappelle le formulaire
	// appel au fichier form_informations.inc.php que l'on inclu et qui contient le formulaire
	require("atelierphp_form_informations.inc.php");
	echo "</div>";
}

// Cas où le formulaire est correctement rempli par l'utilisateur
else
{
	//  récupération des variables du formulaire
	$societe = $_POST['societe'];
	$titre = $_POST['titre'];
	$nom = $_POST['nom'];
	$adresse = $_POST['adresse'];
	$code_postal = $_POST['code_postal'];
	$ville = $_POST['ville'];
	$telephone = $_POST['telephone'];
	$email = $_POST['email'];
	$commentaire = $_POST['commentaire'];

	// Paramètres courrier
	// Mettre ici l'adresse email de la personne qui recevra les données saisies dans le formulaire
	$mailTo = 'contact1@atelierphp.net';
	$entete = 'Reply-To: '.$email;
	$mailSubject = $societe ;
	// Le corps du message est placé dans la variable $mailBody
	$mailBody = "Demande de renseignement: Mon site \n\n"
			." Société : ".$societe
			."\n Titre : ".$titre
			."\n Nom :".$nom
			."\n Adresse :".$adresse
			."\n Code Postal :".$code_postal
			."\n Ville :".$ville
			."\n Téléphone :".$telephone
			."\n email :".$email
			."\n Commentaire :".$commentaire
			 ;
 
	// Si l'encodage utf-8 n'est pas encore pris en compte par PHP, on doit retirer l'encodage utf-8 pour utiliser la fonction mail, sinon la fonction utf8_decode est inutile et on écrira plutôt :
//	$resultat = mail($mailTo, $mailSubject, $mailBody,$entete);
	$resultat = mail($mailTo, utf8_decode($mailSubject), utf8_decode($mailBody),$entete);
	// Cas où la fonction mail() renvoit 1, le mail est parti
	if($resultat)
	{
		// confirmation de l'envoi visible par l'utilisateur après avoir valider le formulaire
		echo "<div class='titre_envoi'>Votre demande a été envoyée, avec les données suivantes</div>\n" ;
		echo "<table class='tb_envoi'>" ;
		echo "<tr><td>Société :</td><td>".$societe."</td></tr>";
		echo "<tr><td>Titre :</td><td>".$titre."</td></tr>";
		echo "<tr><td>Nom :</td><td>".$nom."</td></tr>";
		echo "<tr><td>Adresse :</td><td>".$adresse."</td></tr>";
		echo "<tr><td>Code postal :</td><td>".$code_postal."</td></tr>";
		echo "<tr><td>Ville :</td><td>".$ville."</td></tr>";
		echo "<tr><td>Téléphone :</td><td>".$telephone."</td></tr>";
		echo "<tr><td>Email :</td><td>".$email."</td></tr>";
		echo "<tr><td>Commentaire :</td><td>".$commentaire."</td></tr>";
		echo "</table>";
	}
	// cas où la fonction mail n'a pas renvoyé 1, la mail n'est pas parti
	else
	{
		echo "Désolé, il y a eu une erreur, le courrier n'a pas pu être envoyé, merci d'écrire à :<img src='atelierphp_pied_de_page/images/mel_08.png' alt='adresse de messagerie' />\n";
		echo "<br /><br /><a href='index.php'>Retour</a>\n";
	}
}

// Pied de page
$dossier = "";
include("atelierphp_pied_de_page/pied_de_page.php");
?>
</body>
</html>